.PHONY: all
.DEFAULT: all

#Compiler - Fortran (.f90) to python (.so)
FTN = python3 -m numpy.f2py
FTNoptions = -c --backend meson -m

#Flags: Warning: flags significantly increase wall-clock and CPU time.
#Flags are primarily useful for initial check that code compiles correctly
F2PYFLAGS = ""


#Phony all file (not real file, but required by makefile)
all: basin merit oasis


basin: mod_basin.f90 \
  makefile
	$(FTN) $(FTNoptions) mod_basin mod_basin.f90 --opt=$(F2PYFLAGS)
	mv mod_basin*.so ..

merit: mod_merit.f90 \
  makefile
# 	rm -f mod_merit.pyf
# 	f2py2 mod_merit.f90 -m mod_merit -h mod_merit.pyf
	$(FTN) $(FTNoptions) mod_merit mod_merit.pyf mod_merit.f90
	mv mod_merit*.so ..

oasis: mod_oasis.f90 \
  makefile
	$(FTN) $(FTNoptions) mod_oasis mod_oasis.f90 --opt=$(F2PYFLAGS)
	mv mod_oasis*.so ..

#Remove all executable files
clean: #
	rm -rf ../mod_*.so

